import * as React from 'react';
export interface ButtonProps extends React.AnchorHTMLAttributes<HTMLAnchorElement> {
    duration: number;
}
export declare class Button extends React.Component<ButtonProps> {
    el: HTMLAnchorElement | null;
    ripple: HTMLElement;
    defaultProps: {
        duration: number;
    };
    /**
     * Initialisation of the wave effect after the component did mount
     */
    componentDidMount(): void;
    triggerEffect(e: any): void;
    isWindow(obj: any): boolean;
    getWindow(elem: any): any;
    offset(): {
        top: number;
        left: number;
    };
    showEffect(e: any): false | undefined;
    convertStyle(obj: Object): string;
    hideEffect(): void;
    render(): React.JSX.Element;
}
