import * as React from "react";
export interface CardProps extends React.HtmlHTMLAttributes<HTMLDivElement> {
}
export declare class Card extends React.Component<CardProps> {
    render(): React.JSX.Element;
}
export interface CardContentProps extends React.HtmlHTMLAttributes<HTMLDivElement> {
}
export declare class CardContent extends React.Component<CardContentProps> {
    render(): React.JSX.Element;
}
export interface CardImageProps extends React.HtmlHTMLAttributes<HTMLDivElement> {
    src: string | undefined;
    imageTitle?: string | undefined;
}
export declare class CardImage extends React.Component<CardImageProps> {
    render(): React.JSX.Element;
}
export interface CardTitleProps extends React.HtmlHTMLAttributes<HTMLSpanElement> {
}
export declare class CardTitle extends React.Component<CardTitleProps> {
    render(): React.JSX.Element;
}
export interface CardActionProps extends React.HtmlHTMLAttributes<HTMLDivElement> {
}
export declare class CardAction extends React.Component<CardActionProps> {
    render(): React.JSX.Element;
}
